package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckInwardPlan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckInwardPlanMapper extends IBaseMapper<AmstruckInwardPlan, BigDecimal> {

    //通过订单id查找需求类型是否为计时作业
    Map<String,Object> getTypeByOrderId(BigDecimal orderId);

    //根据计划查找是否为计时作业需求
    String getInwardByPlanId(BigDecimal planId);

}