package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.*;

import java.math.BigDecimal;

@Mapper
public interface ZJXLUtilMapper {
    //获取区域Id
    @Select("select DV.VERSION_VALUE from DIL_VERSION DV where DV.VERSION_TYPE = 2")
    String getAreaId();

    //更新区域ID
    @Update("update DIL_VERSION DV set DV.VERSION_VALUE = #{areaId}, UPDATE_TIME = SYSDATE where DV.VERSION_TYPE = 2")
    int updateAreaId(@Param("areaId") String areaId);

    @Select("select VERSION_VALUE from DIL_VERSION where VERSION_TYPE = 3")
    String getToken();

    @Update("update DIL_VERSION set VERSION_VALUE = #{token}, UPDATE_TIME = SYSDATE where VERSION_TYPE = 3")
    int updateToken(@Param("token") String token);

    @Select("select seq_QMS_SUB_CAPACITY.nextval from dual")
    BigDecimal getSubCapacityMaxId();

    int insertSubCapacity(@Param("subCapacityId")BigDecimal subCapacityId, @Param("capacityNumber")String capacityNumber, @Param("resultTotalId")BigDecimal resultTotalId);

    int cancelSubCapacity(@Param("capacityNumber")String capacityNumber);
}
