package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @ author    :luobang
 * @ time      :2022/03/24 15:02
 */

@FeignClient(value = "dil-bmstruck-api-dev", url = "${openfeign.BmsTruckFeign.url}")
public interface BmsTruckFeign {

    @PostMapping("api/v1/bmstruck/bmstruckdetailsorder/addInwardDetailsOrder")
    RESTfulResult addDetailsOrder(@RequestBody(required = false) Map<String,Object> map);
}
